#ifndef RECEIVER_H
#define RECEIVER_H

#include <list>

#include "sockets.h"
#include "threads.h"

class receiver : public threads :: runnable
{
private:
    hook* hk_;
    sockets :: clientSocket* cs_;
    bool getMessage(char** result);
public:
    receiver(hook* hk, sockets :: clientSocket* cs) { hk_ = hk; cs_ = cs; };
    void setHook(hook* hk) { hk_ = hk; };
    void operator()(threads :: thread* thd);
};

#endif